Summary: Thai language support routines
Name: libthai
Version: 0.1.28
Release: 1
License: LGPL
Group: System Environment/Libraries
Source0: ftp://linux.thai.net/pub/thailinux/software/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://linux.thai.net/pub/thailinux/software/%{name}/%{name}-%{version}.tar.xz.md5sum
Patch0: %{name}-%{version}-aix.patch
URL: http://linux.thai.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libdatrie-devel >= 0.2.12-1
BuildRequires: pkg-config
Requires: libdatrie >= 0.2.12-1

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

The library is available as 32-bit and 64-bit.


%package devel
Summary:  Thai language support routines
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libdatrie-devel >= 0.2.12-1
Requires: pkg-config

%description devel
The libthai-devel package includes the header files and developer docs 
for the libthai package.

Install libthai-devel if you want to develop programs which will use
libthai.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc_r -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp ./src/.libs/libthai.so.0 .
make distclean

# now build the 32-bit version
export CC="cc_r"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/.libs/libthai.a ./libthai.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/*.a
%dir %{_datadir}/%{name}
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Oct 30 2018 Michael Perzl <michael@perzl.org> - 0.1.28-1
- updated to version 0.1.28

* Tue Oct 30 2018 Michael Perzl <michael@perzl.org> - 0.1.27-1
- updated to version 0.1.27

* Tue Oct 30 2018 Michael Perzl <michael@perzl.org> - 0.1.26-1
- updated to version 0.1.26

* Tue Oct 30 2018 Michael Perzl <michael@perzl.org> - 0.1.25-1
- updated to version 0.1.25

* Mon Jan 04 2016 Michael Perzl <michael@perzl.org> - 0.1.24-1
- updated to version 0.1.24

* Mon Jan 04 2016 Michael Perzl <michael@perzl.org> - 0.1.23-1
- updated to version 0.1.23

* Mon Jan 04 2016 Michael Perzl <michael@perzl.org> - 0.1.22-1
- updated to version 0.1.22

* Tue Nov 11 2014 Michael Perzl <michael@perzl.org> - 0.1.21-1
- updated to version 0.1.21

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 0.1.18-1
- updated to version 0.1.18

* Tue May 03 2011 Michael Perzl <michael@perzl.org> - 0.1.15-1
- updated to version 0.1.15

* Tue Apr 22 2008 Michael Perzl <michael@perzl.org> - 0.1.9-1
- first version for AIX V5.1 and higher
